# GimpUi.PreviewArea.set_colormap

    @accepts(GimpUi.PreviewArea, [guint8], int)
    @returns(none)
    def set_colormap(self, colormap, num_colors):
        # Python wrapper for gimp_preview_area_set_colormap()

Sets the colormap for the GimpUi.PreviewArea widget. You need to call this function before you use GimpUi.PreviewArea.draw with an image type of Gimp.ImageType.indexed_image or Gimp.ImageType.indexeda_image.

Since GIMP 2.2

self

  a GimpUi.PreviewArea

colormap

  a #guchar buffer that contains the colormap

num_colors

  the number of colors in the colormap